.booking-header, .booking-container .table {
	max-width: 1200px;
}

#booking-container {
	margin: 0;
	padding: 0;
}

#booking-container a:focus {
	outline: none;
}

#booking-container .btn {
	padding: 10px;
	color: white;
	background-color: rgba(0,180,0,1);
	background-image: none;
	border: none;
	margin: 10px;
	margin-left: 0px;
	margin-top: 0px;
	-webkit-box-shadow: none;
	box-shadow: none;
	text-shadow: none;
}

#booking-container .btn:not(.selected) {
	padding: 8px;
	color: black;
	background-color: white;
	border: 2px solid transparent;
	background-image: none;
}

#booking-container .btn:not(.selected):hover {
	color: black;
	padding: 8px;
	color: black;
	background-color: white;
	border: 2px solid black;
}

#booking-container .table .td a {
	color: white;
}

.week-selector {
	width: auto;
	text-align: center;
	white-space: nowrap;
	margin: 10px;
	margin-left: 50px;
	max-width: 980px;
}

.week-selector select {
	margin-left: 10px;
	margin-right: 10px;
	margin: 0 5px;
}

#calendar-container {
	position: relative;
}

#loading {
	position: absolute;
	top: 0;
	left: 0;
	max-width: 1030px;
	width: 100%;
	height: 100%;
    box-sizing: content-box;
    padding: 10px 0 0 50px;
	background: no-repeat center white url('../img/loading.gif');
	opacity: 0.5;
	transition: opacity 0.2s ease-in-out;
}

#calendar {
	position: relative;
}

.table {
	display: table;
	table-layout: fixed;
	width: auto;
}
.tr {
	display: table-row;
	height: 40px;
}
.th {
	display: table-cell;
	padding: 5px 0;
	white-space: nowrap;
	text-align: center;
	font-weight: 700;
	vertical-align: bottom;
}
.td {
	clear: both;
	white-space: nowrap;
	display: table-cell;
	box-sizing: border-box;
	background-clip: padding-box;
	padding: 0;
	border-radius: 8px;
	border: 2px solid transparent;
	text-align: center;
}
.td.double {
	height: 80px;
	vertical-align: middle;
}
.th a:hover, .td a:hover {
	text-decoration: none;
}

.td a {
	padding: 5px;
	margin: 0;
	display: inline-block;
	line-height: 26px;
	height: 36px;
	min-width: 22px;
}

.th.double a, .td.double a {
	line-height: 66px;
	height: 76px;
}
.td a:only-child {
	padding: 5px;
	margin: 0;
	width: 100%;
	display: block;
	border-radius: 8px;
}
.th a:nth-child(n+2), .td a:nth-child(n+2) {
	border-left: 1px solid white;
}


.td.slot, .th.slot, .td.slot-o, .td.slot-f {
	width: 140px;
	min-width: 80px;
}
.td.slot {
	color: white;
	background-color: rgba(128,128,128,1);
}
.td.slot-o {
	color: white;
	background-color: rgba(239,77,55,1);
}
.td.slot-o a:hover {
	color: white;
	background-color: rgba(239,93,71,1);
}
.td.slot-o2 {
	color: white;
	background-color: hsl(20, 85%, 58%)
}
.td.slot-r {
	color: white;
	background-color: rgba(48,109,137,1);
}
.td.slot-r a:hover {
	color: white;
	background-color: rgba(68,149,207,1);
}
.td.slot-r2 {
	color: white;
	background-color: hsl(220, 48%, 36%)
}
.td.slot-r a {
	color: white;
}
.td.slot-f {
	color: white;
	background-color: rgba(0,180,0,1);
}
.td.slot-f a:hover {
	color: white;
	background-color: rgba(0,210,0,1);
}
.td.time {
	padding: 5px 8px 5px 0;
	width: 48px;
	margin-left: 0px;
	text-align: right;
	white-space: nowrap;
	font-weight: 700;
	line-height: 26px;
}

input, textarea {
	color: black;

}

select {
	display: inline-block;
	color: black;
}

#calendar-container .table-responsive {
	width: auto !important;
}

#timetable {
	display: inline-block;
	float: left;
}

#cal_date {
	margin: 0 5px;
}

#request-container {
	display: none;
	z-index: 9999;
	position: fixed;
	top: 0;
	left: 0;
	height: 100%;
	width: 100%;
	background: no-repeat center rgba(0,0,0,0.5) url('../img/loading-inverse.gif');
	text-align: center;
	padding: 0;
	overflow: scroll;
	-webkit-overflow-scrolling: touch
}


#request-container > .request-window {
	display: inline-block;
	position: relative;
	/* transform:translate(-50%,-50%); */
	width: auto;
	height: auto;
	width: 360px;
	padding: 20px;
	box-shadow: 0px 0px 10px 5px rgba(0,0,0,0.75);
	text-align: left;
	background-image:url(../../assets/img/tile.png);
	color: white;
}

#request-container a {
	color: white;
	font-weight: 700;
}

#request-container h2 {
	margin-top: 0px;
}

#request-container h3 {
	font-family: 'helvetica neue', 'helvetica', 'arial', 'sans-serif';
	margin-top: 0px;
}

#request-container h4 {
	font-family: 'helvetica neue', 'helvetica', 'arial', 'sans-serif';
	margin-top: 10px;
	font-size: 16px;
}

#request-container label {
	display: inline-block;

	font-weight: normal;
}

#request-container div.extraSpace label {
	margin-right: 10px;
}

#request-container div.extraSpace input[type="text"] {
	width: 250px;
	margin-bottom: 5px;
}

#request-container div.extraSpace #contact_postcode {
	width: 85px;
	margin-right: 5px;
}

#request-container div.extraSpace #contact_town {
	width: 160px;
}

#request-container div.fieldGroup {
	margin-top: 15px;
	margin-bottom: 10px;
}

#request-container label.text {
	width: 60px;
}

#request-container label[for="nop"] {
	margin-right: 10px;
}

#request-container label[for="agb"], #request-container label[for="sendmail"]{
	width: 280px;
}

#request-container input[type="text"] {
	width: 260px;
}

#request-container input[type="text"]#voucherAmount {
	width: 40px;
	margin-left: 5px;
	margin-right: 5px;
}

#request-container input[type="radio"] {
	margin: 3px;
}

#request-container input[type="checkbox"] {
	display: inline-block;
	float: left;
	margin: 5px;
}

#request-container input[type="button"] {
	background-color: rgba(239,77,55,1);
	color: white;
	margin-top: 10px;
	margin-right: 10px;
	-webkit-box-shadow: none;
	box-shadow: none;
	border: 0;
	padding: 7px;
	padding-left: 15px;
	padding-right: 15px;
	border-radius: 8px;
	font-size: 18px;
	text-shadow: none;
}

#request-container #accept {
	background-color: rgba(0,180,0,1);
}
#request-container #accept:hover {
	background-color: rgba(0,210,0,1);
}
#request-container #cancel:hover {
	background-color: #ff5d47;
}
#request-container #check {
	display: inline;
	float: right;
	margin: 0;
	background-color: rgba(0,180,0,1);
	line-height: 1.6rem;
}
#request-container #check:hover {
	background-color: rgba(0,210,0,1);
}

#request-container textarea {
	width: 320px;
}

#request-container .error {
	color: #ff5d47;
}

#request-container .info {
	color: rgb(63,255,63);
}

#request-form > div {
	padding: 2px 0;
}

#request-form .form-section {
	margin-top: 10px;
}

@media (max-width : 768px) {
	#booking-container .btn {
		margin-right: 0.0em;
		margin-bottom: 0.2em;
	}
}

@media (max-width : 356px) {
	#request-container > .request-window {
		width: 320px;
		padding: 10px;
	}

	#request-container input[type="text"] {
			width: 240px;
	}

	#request-container label[for="agb"], #request-container label[for="sendmail"]{
		width: 275px;
	}

	#request-container textarea {
		width: 300px;
		height: 50px;
	}

	#request-container h4 {
		margin-top: 0px;
	}

	#request-form .form-section {
		margin-top: 3px;
	}

	#request-container input[type="button"] {
			margin-top: 0px;
	}

	#request-container div.extraSpace label {
		margin-right: 5px;
	}
}
